<template>
    <div class="mta-client-footer">
        <el-row type="flex">
            <el-col class="footer-col-wrap">
                <!--版权所有2019 大连栋科软件工程有限公司-->
                {{footText}}
            </el-col>
        </el-row>
    </div>
</template>

<script>
    import { mapGetters } from 'vuex'
    export default {
        name:    'mtaFooter',
        computed: {
            footText() {
                let str = 'Copyright © 2019 llisoft.com All rights reserved 大连栋科软件工程有限公司 版权所有 辽ICP备09022904号-19';
                return this.getReplaceContext && this.getReplaceContext.footText ? this.getReplaceContext.footText : str;
            },
            ...mapGetters([
                              'getReplaceContext'
                          ])
        },
        props:   {
            activeNav: { // 默认选中的 路径 与组件中的index相互对应
                type:    String,
                require: true,
                default: '0',
            },
        },
        data() {
            return {
            };
        },
        watch:   {
        },
        methods: {
            /*handleSelect(key, keyPath) {
                this.$emit('navSelectChange', {
                    key: key,
                    keyPath: keyPath
                })
            }*/
        },
        created() {
        }
    };
</script>
